Bug 1324847

Summary: copr-cli is not able to download builds
Product: [Community] Copr Reporter: Petr Hracek <phracek>
Component: cliAssignee: Jakub Kadlčík <jkadlcik>
Status: CLOSED ERRATA QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: jkadlcik, msuchy, praiskup
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-16 22:24:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Petr Hracek 2016-04-07 12:46:08 UTC
Description of problem:
I have initiate a copr build with steps mentioned below.
I am not able to download RPM package and log files.

Version-Release number of selected component (if applicable):
copr-cli-1.47-1.fc23.noarch

How reproducible:
always

Steps to Reproduce:
1. copr-cli create --chroot fedora-rawhide-x86_64 package_name
2. copr-cli build phracek/package_name ~/rpmbuild/SRPMS/pycharm-community-2016.1.1-1.fc23.src.rpm --nowait

3.1 copr-cli download-build 173850
--2016-04-07 14:25:11--  https://copr-be.cloud.fedoraproject.org/results/phracek/package_namefedora-rawhide-x86_64/pycharm-community-2016.1.1-1.fc23/
Resolving copr-be.cloud.fedoraproject.org (copr-be.cloud.fedoraproject.org)... 209.132.184.48
Connecting to copr-be.cloud.fedoraproject.org (copr-be.cloud.fedoraproject.org)|209.132.184.48|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2016-04-07 14:25:12 ERROR 404: Not Found.

3.2 copr-cli download-build -r fedora-rawhide-x86_64 173850
--2016-04-07 14:27:23--  https://copr-be.cloud.fedoraproject.org/results/phracek/package_namefedora-rawhide-x86_64/pycharm-community-2016.1.1-1.fc23/
Resolving copr-be.cloud.fedoraproject.org (copr-be.cloud.fedoraproject.org)... 209.132.184.48
Connecting to copr-be.cloud.fedoraproject.org (copr-be.cloud.fedoraproject.org)|209.132.184.48|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2016-04-07 14:27:24 ERROR 404: Not Found.


Actual results:
build info and RPM can not be downloaded

Expected results:
RPM and log file are downloadable


Additional info:

Comment 1 Jakub Kadlčík 2016-04-11 16:39:00 UTC
Hello Petr,
thank you for the feedback.

Modified in: 7c4f4b4

Comment 2 Fedora Update System 2016-05-05 07:01:03 UTC
python-copr-1.68-1.fc22 copr-cli-1.50-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-83199bf70e

Comment 3 Fedora Update System 2016-05-05 07:01:37 UTC
python-copr-1.68-1.el7 copr-cli-1.50-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9a4d5dfb13

Comment 4 Fedora Update System 2016-05-05 07:01:53 UTC
python-copr-1.68-1.fc24 copr-cli-1.50-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2be6d1814

Comment 5 Fedora Update System 2016-05-05 07:02:09 UTC
python-copr-1.68-1.fc23 copr-cli-1.50-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-99f84a68dc

Comment 6 Fedora Update System 2016-05-05 07:02:26 UTC
python-copr-1.68-1.el6 copr-cli-1.50-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d7889ce228

Comment 7 Fedora Update System 2016-05-05 09:53:56 UTC
copr-cli-1.50-1.fc24, python-copr-1.68-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2be6d1814

Comment 8 Fedora Update System 2016-05-05 15:52:10 UTC
copr-cli-1.50-1.fc23, python-copr-1.68-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-99f84a68dc

Comment 9 Fedora Update System 2016-05-05 21:18:34 UTC
copr-cli-1.50-1.el6, python-copr-1.68-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d7889ce228

Comment 10 Fedora Update System 2016-05-05 21:24:02 UTC
copr-cli-1.50-1.el7, python-copr-1.68-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9a4d5dfb13

Comment 11 Fedora Update System 2016-05-06 09:22:48 UTC
copr-cli-1.50-1.fc22, python-copr-1.68-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-83199bf70e

Comment 12 Fedora Update System 2016-05-16 22:24:35 UTC
copr-cli-1.50-1.fc22, python-copr-1.68-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-16 22:27:46 UTC
copr-cli-1.50-1.fc23, python-copr-1.68-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-20 17:41:59 UTC
copr-cli-1.50-1.fc24, python-copr-1.68-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-20 20:19:04 UTC
copr-cli-1.50-1.el7, python-copr-1.68-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-05-21 05:18:47 UTC
copr-cli-1.50-1.el6, python-copr-1.68-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.